Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055593 - Installing spamassassin breaks gnome-keyring PGP integration due to dependency on old gnupg
Summary: Installing spamassassin breaks gnome-keyring PGP integration due to dependenc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 15:19 UTC by Michael Catanzaro
Modified: 2014-06-01 22:21 UTC (History)
4 users (show)

Fixed In Version: spamassassin-3.4.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-01 22:21:23 UTC


Attachments (Terms of Use)

Description Michael Catanzaro 2014-01-20 15:19:57 UTC
Description of problem: Installing spamassassin breaks PGP gnome-keyring integration because it pulls in the original gnupg, which seems to be preferred over gnupg2 (at least by Evolution) and doesn't use gpg agents without special modification to gpg.conf.

Does spamassassin really require the original gnupg? gnupg2 is installed by default in Fedora, and I would expect them to be compatible.


Version-Release number of selected component (if applicable): spamassassin 3.3.2-18.fc20


How reproducible: Always


Steps to Reproduce:
1. In Evolution, configure an email address to use PGP
2. Send some signed mail and tell gnome-keyring to remember your PGP password
3. Send some more signed mail to verify that it's working
4. Install spamassassin

Actual results: After installing spamassassin, you are prompted for your PGP password each time you want to send an email.

Expected results: Installing spamassassin does not cause GNOME to stop using my stored PGP password.

Comment 1 Kevin Fenzi 2014-01-22 01:14:35 UTC
So, spamassassin uses gnupg for it's sa-update script (to verify that updates are correctly signed, etc). 

I agree it would be great to port this over to gnupg2, but as far as I know thats not yet been done. 

Might you be willing to file an upstream bug on this? Or would you like me to do so?

Comment 2 Michael Catanzaro 2014-01-22 02:16:03 UTC
I'd appreciate it if you would: I don't know anything about spamassassin beyond that it's needed to build Evolution. Thanks!

gpg is often a symlink to gpg2 (e.g. in openSUSE), so unless spamassassin is broken there, supporting both should be easy.

P.S. Evolution has just been changed to prefer gpg2 to gpg instead of vice-versa.

Comment 3 Kevin Fenzi 2014-01-23 02:49:12 UTC
A quick test seems to indicate that it can use gpg2 ok.

I'll need to do some more tests, but possibly we can just patch it over to gpg2.

Comment 4 Kevin Fenzi 2014-01-28 20:38:44 UTC
Can you test this scratch build: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=6465137 ?

It contains this switch to gnupg2 as well as a fix for amavisd ( bug 1057926 )

Feedback most welcome...

Comment 5 Michael Catanzaro 2014-01-28 21:48:21 UTC
Thanks! I've installed it and I'll let you know if I see anything odd, but as I mentioned I don't know anything about spamassassin (I rely on Google's spam filtering) so if everything's broken I probably won't notice....

Comment 6 Fedora Update System 2014-03-19 16:55:55 UTC
spamassassin-3.4.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/spamassassin-3.4.0-3.fc20

Comment 7 Fedora Update System 2014-03-21 09:37:27 UTC
Package spamassassin-3.4.0-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spamassassin-3.4.0-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4171/spamassassin-3.4.0-3.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-05-23 17:14:36 UTC
spamassassin-3.4.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/spamassassin-3.4.0-4.fc20

Comment 9 Fedora Update System 2014-05-24 23:27:02 UTC
Package spamassassin-3.4.0-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spamassassin-3.4.0-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6643/spamassassin-3.4.0-4.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-06-01 22:21:23 UTC
spamassassin-3.4.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.